﻿using System;
using System.Text;
using Microsoft.Extensions.Options;
using SPS.Client.Configuration;
using SPS.Client.IoC;

namespace SpsClientMvcCore.IoC
{
    public class SpsConfigurationImpl : SpsClientConfigurationService
    {
        public SpsConfigurationImpl(IOptions<SpsAppSettings> appSettings)
        {
            var config = appSettings.Value;
            Configuration = new SpsConfiguration(Encoding.UTF8.GetString(Convert.FromBase64String(config.ConfigurationBase64)));
        }

        public SpsConfiguration Configuration { get; }
    }
}